"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.agileWorkTemplateInit = void 0;
const constants_1 = require("../../../../../../../../../constants");
const extensions_1 = require("../../../../../../../../../extensions");
const samples_1 = require("../../../../../../../../../samples");
const utils_1 = require("../../../../../../../../../utils");
exports.agileWorkTemplateInit = new extensions_1.Command()
    .name("init")
    .description("Initialize work item template")
    .option("-t, --template <template>", "Template to use for work items")
    .option("-o, --out-file <out-file>", "Output file for work item template")
    .addAction((serviceCollection, options) => {
    // Stub for now - will fetch templates from repo
    const templates = [samples_1.exampleBacklogItemTemplate, samples_1.emptyBacklogItemTemplate];
    const { template: templateName, outFile } = options;
    const template = templates.find((t) => t.name === templateName);
    utils_1.FileUtils.writeFile(outFile || constants_1.FileConstants.backlogItemsFileName, JSON.stringify(template, null, 4));
});
