"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.playbookTemplateCopy = void 0;
const extensions_1 = require("../../../../../../../extensions");
exports.playbookTemplateCopy = new extensions_1.Command()
    .name("copy")
    .description("Copy templates from playbook to local working directory")
    .option("-b, --branch <branch>", "Branch of playbook to use")
    .option("-g, --github-token <github-token>", "GitHub personal access token")
    .option("-p, --path <template-path>", "Path to template within playbook repo")
    .option("-o, --out-path <out-path>", "Local path to which file will be written. Defaults to name of template file")
    .addAction((serviceCollection, options) => __awaiter(void 0, void 0, void 0, function* () {
    const { playbookService } = serviceCollection;
    const { path, outPath } = options;
    yield playbookService.downloadRepoItem(path, outPath);
}));
