"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.projectInit = void 0;
const fs_1 = require("fs");
const extensions_1 = require("../../../../../extensions");
const services_1 = require("../../../../../services");
exports.projectInit = new extensions_1.Command()
    .name("init")
    .description("Local Configuration Initialization")
    .option("-a, --agile-provider <agile-provider>", "Agile provider (currently only supports and defaults to 'azdo')", "azdo")
    .option("-u, --base-url <base-url>", "Base URL for Agile Provider project")
    .option("-p, --project <project>", "Agile provider project")
    .option("-t, --token <token>", "Agile provider access token")
    .addAction((serviceCollection, options) => {
    const config = services_1.ConfigService.createInitialConfig(options);
    fs_1.writeFileSync("projector.json", JSON.stringify(config, null, 4));
});
