"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createServiceCollection = void 0;
const agileServiceFactory_1 = require("./agileServiceFactory");
const services_1 = require("../services");
/**
 * Create collection of shared services
 *
 * @param {ProjectorConfig} config Configuration object
 * @returns {ServiceCollection} Service Collection
 */
function createServiceCollection(config) {
    const { github, agile } = config;
    const repoService = new services_1.GitHubRepoService(github);
    return {
        agileService: agileServiceFactory_1.AgileServiceFactory.get(agile),
        repoService,
        playbookService: new services_1.CsePlaybookService(repoService),
    };
}
exports.createServiceCollection = createServiceCollection;
