"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerProviders = void 0;
const factories_1 = require("../factories");
const services_1 = require("../services");
const providers_1 = require("../services/agile/providers");
/**
 *
 */
function registerProviders() {
    registerBacklogServiceProviders();
    registerRepoServiceProviders();
}
exports.registerProviders = registerProviders;
/**
 *
 */
function registerBacklogServiceProviders() {
    factories_1.AgileServiceFactory.register(services_1.AgileServiceProvider.AzureDevOps, providers_1.AzureDevOpsAgileService);
    factories_1.AgileServiceFactory.register(services_1.AgileServiceProvider.Jira, providers_1.JiraAgileService);
}
/**
 *
 */
function registerRepoServiceProviders() {
    factories_1.RepoServiceFactory.register(services_1.RepoServiceProvider.GitHub, services_1.GitHubRepoService);
}
