"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.exampleBacklogItemTemplate = void 0;
const models_1 = require("../../models");
exports.exampleBacklogItemTemplate = {
    name: "example",
    description: "",
    items: [
        {
            name: "As a developer, I have automated linting to enforce code style for the protected branches of the ______ project",
            type: models_1.BacklogItemType.Story,
            description: "We need linting. Linting is good",
            acceptanceCriteria: [
                "There is a single command to run linting from the terminal",
                "Linting is triggered on all pull requests to protected branches",
                "Linting failure causes CI pipeline to fail",
                "CI failure blocks PR merge",
            ],
            assignedTo: "john.stockton@microsoft.com",
            children: [
                {
                    name: "Configure linter",
                    type: models_1.BacklogItemType.Task,
                },
                {
                    name: "Set up linting in CI pipeline",
                    type: models_1.BacklogItemType.Task,
                },
            ],
        },
        {
            name: "Sample Epic",
            type: models_1.BacklogItemType.Epic,
            description: "This is my sample epic. A backlog item file does not need to have a hierarchical structure. " +
                "A file could contain just a list of bugs, tasks, stories, features or epics. " +
                "Since they all have the same data type and properties, you can structure your file as you wish.",
            children: [
                {
                    name: "Sample Feature",
                    type: models_1.BacklogItemType.Feature,
                    description: "This is my sample feature",
                    children: [
                        {
                            name: "Sample Story",
                            type: models_1.BacklogItemType.Story,
                            description: "This is my sample story",
                            children: [
                                {
                                    name: "Sample Task",
                                    type: models_1.BacklogItemType.Task,
                                    description: "This is my sample task",
                                },
                                {
                                    name: "Sample Bug",
                                    type: models_1.BacklogItemType.Bug,
                                    description: "This is my sample bug",
                                    acceptanceCriteria: ["The bug is fixed"],
                                },
                            ],
                        },
                    ],
                },
            ],
        },
    ],
};
