import { AgileConfig, BacklogItem, Project, Sprint } from "../../../../models";
import { BaseAgileService } from "../../baseAgileService";
export interface AzureDevOpsProviderOptions {
    baseUrl: string;
    projectName: string;
    personalAccessToken: string;
}
export interface AzureDevOpsAgileConfig extends AgileConfig {
    providerOptions: AzureDevOpsProviderOptions;
}
export declare class AzureDevOpsAgileService extends BaseAgileService {
    private projectName;
    private workItemTracking;
    private workApi;
    private coreApi;
    private teamContext?;
    constructor(config: AzureDevOpsAgileConfig);
    createProject: () => Promise<Project>;
    getBacklogItems: (ids: string[]) => Promise<BacklogItem[]>;
    createBacklogItems: (items: BacklogItem[], parent?: BacklogItem | undefined) => Promise<BacklogItem[]>;
    deleteBacklogItems: (ids: string[]) => Promise<void>;
    getSprint: (id: string) => Promise<Sprint>;
    createProviderSprints: (sprints: Sprint[]) => Promise<Sprint[]>;
    deleteSprint: (id: string) => Promise<void>;
    private createProviderSprint;
    private createOrUpdateClassificationNode;
    private deleteNodeAndIterationIfExists;
    private getTeamContext;
    private mapWorkItem;
    private getBacklogItemChildren;
}
