"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Config = void 0;
const constants_1 = require("../constants");
const config_1 = __importDefault(require("config"));
class Config {
    static getValue(valueName) {
        return config_1.default.get(valueName);
    }
    static getValueWithDefault(valueName, defaultValue) {
        return config_1.default.has(valueName) ? config_1.default.get(valueName) : defaultValue;
    }
    static getLink(name) {
        const links = this.getValue(constants_1.ConfigValue.Links);
        const link = links.find((link) => link.name === name);
        if (!link) {
            throw new Error(`Missing link ${name} in config`);
        }
        return link;
    }
}
exports.Config = Config;
