"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileUtils = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
class FileUtils {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    static readJson(relativePath) {
        const path = path_1.join(process.cwd(), relativePath);
        if (fs_1.existsSync(path)) {
            const fileContent = fs_1.readFileSync(path).toString();
            return JSON.parse(fileContent);
        }
    }
    static mkdirIfNotExists(path) {
        if (!fs_1.existsSync(path)) {
            fs_1.mkdirSync(path);
        }
    }
    static writeFile(path, data) {
        fs_1.writeFileSync(path, data);
    }
}
exports.FileUtils = FileUtils;
