"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserUtils = void 0;
const readline_1 = require("readline");
class UserUtils {
    static confirmAction(message, affirmative) {
        return __awaiter(this, void 0, void 0, function* () {
            message = `\n${message || "Confirm? (y/n)"}\n`;
            affirmative = affirmative || "y";
            const response = (yield this.askQuestion(message)).trim().toLowerCase();
            return response === affirmative;
        });
    }
    static askQuestion(question) {
        const read = readline_1.createInterface({
            input: process.stdin,
            output: process.stdout,
        });
        return new Promise((resolve) => read.question(question, (answer) => {
            read.close();
            resolve(answer);
        }));
    }
}
exports.UserUtils = UserUtils;
